# [for (X)Emacs] -*- coding: iso-8859-1 -*-

%define apelver 10.3
%define sumo_ver 2002-01-19

# The original one doesn't work... because their system is broken
# man1 appended to mandir because their autoconf is broooken

%define configure  CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ; %{?__libtoolize:[ -f configure.in ] && %{__libtoolize} --copy --force} ; ./configure %{_target_platform}  --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} --datadir=%{_datadir}  --libdir=%{_libdir} --mandir=%{_mandir}/man1  --infodir=%{_infodir}

Summary: An X Window System based version of GNU Emacs.
Name: xemacs
Version: 21.4.6
Release: 6.9.1
License: GPL
Group: Applications/Editors
Source0: ftp://ftp.xemacs.org/xemacs-21.4/xemacs-%{version}.tar.bz2
Source1: ftp://ftp.xemacs.org/packages/xemacs-sumo-%{sumo_ver}.tar.bz2
Source2: ftp://ftp.xemacs.org/packages/xemacs-mule-sumo-%{sumo_ver}.tar.bz2 
Source6: xemacs.desktop
Source9: xemacs-sitestart.el
Source10: ispell.el
Source12: xemacs.png
#From the psgml package
Source13: psgml-init.el.xemacs
Source14: rpm-spec-mode.el
Source15: Emacs.ad.Big5
Source16: Emacs.ad.Japanese
Source18: xemacs-po-mode.el
Source19: xemacs-po-mode-init.el
Source20: Emacs.ad.GB2312
Source21: Emacs.ad.Korean
#Used for cleaning finder-inf.el when it needs compilation
Source22: delprevline.py
Source23: apel-10.3-pkg.tar.bz2

Patch1: xemacs-21.1.14-xfs.patch
Patch5: xemacs-21-cursor.patch
Patch20: xemacs-no-expdyn-ia64-106744.patch
Patch21: xemacs21-movemail-popfmt-CAN-2005-0100.patch

URL: http://www.xemacs.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl python
%ifarch ia64
BuildRequires:  autoconf
%endif
BuildRequires: openldap-devel XFree86-devel ncurses-devel cyrus-sasl-devel krb5-devel
BuildRequires: pam-devel zlib-devel openssl-devel libjpeg-devel gdbm-devel
BuildRequires: Canna-devel FreeWnn-devel glibc-devel libpng-devel postgresql-devel
BuildRequires: libtiff-devel
Requires: ctags
Obsoletes: xemacs-extras xemacs-packages-el xemacs-packages xemacs-noX xemacs-X11 xemacs-mule xemacs-static xemacs-sumo
## Obsoletes: semi-xemacs
Obsoletes: tm
Provides: apel-xemacs = %{apelver}
Excludearch: alpha

%description
XEmacs (like GNU Emacs) is a self-documenting, customizable,
extensible, real-time display editor. XEmacs is self-documenting
because at any time you can type control-h to find out what your
options are or find out what a command does. XEmacs is customizable
because you can change the definitions of XEmacs commands. XEmacs is
extensible because you can write entirely new commands-programs in the
Lisp language to be run by Emacs' own Lisp interpreter. XEmacs
includes a real-time display, which means that the text being edited
is visible on the screen and is updated very frequently (usually after
every character or pair of characters) as you type.

This XEmacs distribution consists of three RPMs: xemacs (the main
portion, including the standard XEmacs binary which most people use),
xemacs-el (elisp sources, which you only need if you are going to
program with Lisp in XEmacs), and xemacs-info (optional information
about XEmacs).

%package el
Summary: The .el source files for XEmacs.
Group: Applications/Editors
Requires: xemacs = %{version}
Obsoletes: xemacs-sumo-el
%description el
xemacs-el is not needed to run XEmacs. You only need to install it if
you are planning to incorporate some Lisp programming into your XEmacs
experience.

%package info
Summary: Information files for XEmacs.
Group: Applications/Editors
Requires: xemacs = %{version}
Requires(post,preun): /sbin/install-info
%description info
This package contains optional information files that are distributed
with the XEmacs text editor.

%prep
%setup -q
%patch1 -p1
%patch5 -p1
%ifarch ia64
%patch20 -p1 -b .ia64
# patch20 touches aclocal.m4
autoconf
%endif
# fix format string vulnerability in movemail
%patch21 -p1 -b .fmtstr

rm -f xemacs-packages

%build
%configure --with-gpm=no --with-sound=native --with-pop --mail-locking=lockf \
    --with-clash-detection --debug=no --error-checking=none \
    --with-mule=yes \
    --with-database=no  --with-ldap=yes --with-hesiod=no \
    --with-canna=yes --with-wnn=yes \
    --with-menubars=lucid --with-scrollbars=lucid --with-dialogs=lucid \
    --with-xim=xlib --with-msw=no --with-xfs=yes \
%ifarch alpha ia64 ppc64
	--with-system-malloc \
%endif
%ifarch ia64
	--without-modules \
%endif
	--pdump

make

%install
rm -rf $RPM_BUILD_ROOT

# Their scripts are broooken
%makeinstall mandir=$RPM_BUILD_ROOT%{_mandir}/man1


%define recompile src/xemacs -batch --no-init-file --no-site-file -f batch-byte-compile

# These would clash with GNU Emacs
rm -f $RPM_BUILD_ROOT%{_bindir}/{ctags,etags,rcs-checkin,b2m}
rm $RPM_BUILD_ROOT%{_mandir}/man1/{etags.1,ctags.1}

mkdir -p $RPM_BUILD_ROOT%{_libdir}/xemacs

# unpack lisp files from sumo packages

bunzip2 -c %{SOURCE1} | tar -xf - -C $RPM_BUILD_ROOT%{_libdir}/xemacs
bunzip2 -c %{SOURCE2} | tar -xf - -C $RPM_BUILD_ROOT%{_libdir}/xemacs

# replace apel-10.2 with apel-10.3
rm -rf $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/apel
bunzip2 -c %{SOURCE23} | tar -xf - -C $RPM_BUILD_ROOT%{_libdir}/xemacs

# remove the mew package, since we have mew-xemacs
rm -rf $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/mew
rm -rf $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/etc/mew
rm -rf $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/man/mew
rm     $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/info/mew*
rm     $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/pkginfo/MANIFEST.mew

# remove the skk package since we have ddskk-xemacs (newer)
rm -rf $RPM_BUILD_ROOT%{_libdir}/xemacs/mule-packages/{lisp,etc,man}/skk
rm $RPM_BUILD_ROOT%{_libdir}/xemacs/mule-packages/info/skk.*
rm $RPM_BUILD_ROOT%{_libdir}/xemacs/mule-packages/pkginfo/MANIFEST.skk

mkdir -p $RPM_BUILD_ROOT%{_libdir}/xemacs/site-packages
find $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages -name \*.pl -exec \
    perl -pi -e "s|/usr/local/bin/perl5|/usr/bin/perl|g; \
		 s|/usr/local/bin/perl|/usr/bin/perl|g;" {} \;

# ispell
cp %{SOURCE10} .
%{recompile} ispell.el
install -m 644 ispell.el ispell.elc $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/ispell

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
gzip -9f $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/info/*info*


#These crash with other packages
rm -f $RPM_BUILD_ROOT%{_infodir}/info*
rm -f $RPM_BUILD_ROOT%{_infodir}/standards*
rm -f $RPM_BUILD_ROOT%{_infodir}/termcap*

install -m 755 -d $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 644  %SOURCE6  $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 644 %SOURCE9 $RPM_BUILD_ROOT%{_datadir}/xemacs-%{version}/lisp/site-start.el

# Lockdir
mkdir -p $RPM_BUILD_ROOT/var/lock/xemacs

# sitestart dir
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d/

# psgml
install -m 644 %SOURCE13 $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d/psgml-init.el

## mew init
#install -m 644 %SOURCE17 $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d/

# rpm-spec-mode
cp %SOURCE14 .
%{recompile}  rpm-spec-mode.el
install -m 644 rpm-spec-mode.el rpm-spec-mode.elc $RPM_BUILD_ROOT%{_datadir}/xemacs-%{version}/lisp/

# po-mode
cp %SOURCE18 po-mode.el
%{recompile} po-mode.el
install -m 644 po-mode.el po-mode.elc $RPM_BUILD_ROOT%{_datadir}/xemacs-%{version}/lisp/
install -m 644 %SOURCE19  $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d/

# icon
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps/
install -m 644 %SOURCE12 $RPM_BUILD_ROOT%{_datadir}/pixmaps/xemacs.png

# This shouldn't be included....
rm -f $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/lib-src/udp2tcp

# These info pages are missed by the policy scripts

gzip -9f $RPM_BUILD_ROOT%{_libdir}/xemacs/mule-packages/info/*

# Copy app defaults to X' app-defaults structure
pushd $RPM_BUILD_ROOT%{_libdir}/xemacs/mule-packages/etc/app-defaults/
for i in * ; do
    mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i/app-defaults
    cp $i/Emacs $RPM_BUILD_ROOT/usr/X11R6/lib/X11/$i/app-defaults/ ;
done;
popd
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/zh_TW/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/zh_CN/app-defaults
install -m 644 %SOURCE15 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/zh_TW/app-defaults/Emacs
install -m 644 %SOURCE16 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ja/app-defaults/Emacs
install -m 644 %SOURCE20 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/zh_CN/app-defaults/Emacs
install -m 644 %SOURCE21 $RPM_BUILD_ROOT/usr/X11R6/lib/X11/ko/app-defaults/Emacs



# the header of this file is weird... and confuses dependency checking
chmod 0644 %buildroot%{_libdir}/xemacs/xemacs-packages/lib-src/pstogif

# Make sure nothing is 0400
chmod -R a+rX  $RPM_BUILD_ROOT/usr

# finder-inf.el has buildroot traces

perl -pi -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT/usr/share/xemacs-%{version}/lisp/finder-inf.el
[ -x /usr/bin/xemacs ] && python %SOURCE22 $RPM_BUILD_ROOT/usr/share/xemacs-%{version}/lisp/finder-inf.el

%{recompile} $RPM_BUILD_ROOT/usr/share/xemacs-%{version}/lisp/finder-inf.el 

# separate files

echo "%defattr(-,root,root)" > lispfiles
echo "%defattr(-,root,root)" > notlispfiles

find $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/  -type f -name "*.el" |grep -v -E "(tex-site.el|site-start.d|eieio.el)" >> lispfiles
find $RPM_BUILD_ROOT%{_libdir}/xemacs/mule-packages/  -type f -name "*.el" >> lispfiles
find $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages/  -type f -not -name "*.el" >> notlispfiles
find $RPM_BUILD_ROOT%{_libdir}/xemacs/mule-packages/  -type f -not -name "*.el" >> notlispfiles
find $RPM_BUILD_ROOT%{_libdir}/xemacs/xemacs-packages -type d |grep -v %{_libdir}/xemacs/xemacs-packages/lisp/site-start.d >> dirs

perl -pi -e "s|$RPM_BUILD_ROOT||" lispfiles
perl -pi -e "s|$RPM_BUILD_ROOT||" notlispfiles
perl -pi -e "s|$RPM_BUILD_ROOT||" dirs
perl -pi -e "s/^(.*)$/%dir \1/" dirs
cat dirs notlispfiles > mainpackagefiles

%post info
/sbin/install-info %{_infodir}/xemacs.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/cl.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/internals.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/lispref.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/new-users-guide.info.gz %{_infodir}/dir

%preun info
if [ "$1" = "0" ]; then
/sbin/install-info --delete %{_infodir}/xemacs.info.gz %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/cl.info.gz %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/internals.info.gz %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/lispref.info.gz %{_infodir}/dir
/sbin/install-info --delete %{_infodir}/new-users-guide.info.gz %{_infodir}/dir
fi

%files -f mainpackagefiles
%defattr(-, root, root)
%config(noreplace) /etc/X11/applnk/Applications/xemacs.desktop
%doc INSTALL README COPYING GETTING.GNU.SOFTWARE PROBLEMS CHANGES-release
%doc etc/NEWS etc/MAILINGLISTS BUGS README.packages
%doc etc/TUTORIAL
%attr(1777, root, root) /var/lock/xemacs
%{_mandir}/*/*
%dir %{_libdir}/xemacs/xemacs-packages/lisp/site-start.d
/usr/X11R6/lib/X11/*/*
%{_libdir}/xemacs/xemacs-packages/lisp/site-start.d/*
/usr/bin/*
/usr/share/xemacs-%{version}
%{_libdir}/xemacs-%{version}
/usr/share/pixmaps/xemacs.png
%{_libdir}/xemacs/xemacs-packages/lisp/auctex/tex-site.el
/usr/share/xemacs-%{version}/lisp/finder-inf.elc
#%{_libdir}/xemacs/xemacs-packages/lisp/jde/eieio.el

%files el -f lispfiles
%defattr(-, root, root)


%files info 
%defattr(-, root, root)
%{_infodir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Feb  5 2005 Jens Petersen <petersen@redhat.com> - 21.4.6-6.9.1
- fix CAN-2005-0100 movemail vulnerability with
  xemacs21-movemail-popfmt-CAN-2005-0100.patch (Max Vozeler, 146704)

* Wed Aug  4 2004 Jens Petersen <petersen@redhat.com> - 21.4.6-6.9
- update source urls
- buildrequire autoconf for ia64 and use it
- use _libdir
- backport the following changes to 21.4.6-6:

* Sat May  8 2004 Jens Petersen <petersen@redhat.com>
- disable dynamic module support on ia64

* Fri May  7 2004 Jens Petersen <petersen@redhat.com>
- don't link with -export-dynamic on ia64 to stop dumped function pointers from
  breaking (Roland McGrath & Jakub Jelinek, #106744)
- change the xemacs-info uninstall script from %%postun to %%preun

* Tue May  4 2004 Jens Petersen <petersen@redhat.com>
- move post/preun install-info requires to xemacs-info

* Tue Apr 22 2003 Jens Petersen <petersen@redhat.com>
- move obsoletes xemacs-sumo-el to -el subpackage

* Tue Feb 11 2003 Jens Petersen <petersen@redhat.com>
- build with system-malloc on alpha and ia64

* Sat Jan  4 2003 Jens Petersen <petersen@redhat.com>
- only do postun info dir deletions when uninstalling

* Mon Aug 26 2002 Trond Eivind Glomsrd <teg@redhat.com>
- some cleanups - and remove the info tarball, it's part 
  of the base tarball. Wow, the package gets smaller. (#72480)

* Mon Jun 17 2002 Trond Eivind Glomsrd <teg@redhat.com>
- rpm-spec-mode-typo (#66835)

* Fri May 24 2002 Jens Petersen <petersen@xemacs.org>
- Build using portable dumper, so that build with glibc-2.3 malloc is ok

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com>
- Remove the s390 patches so it builds on s390 :)

* Tue May  7 2002 Trond Eivind Glomsrd <teg@redhat.com>
- Rebuild... chmod -x pstogif to work around an rpm bug until 
  it's fixed (#64320)

* Tue Jan 29 2002 Jens Petersen <petersen@redhat.com> 21.4.6-6
- Remove skk package, since it conflicts with ddskk-xemacs (newer)

* Thu Jan 24 2002 Trond Eivind Glomsrd <teg@redhat.com> 21.4.6-5
- New sumos

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Dec 19 2001 Jens Petersen <petersen@redhat.com> 21.4.6-3
- Fix fontlist pattern in Emacs.ad.Japanese.
- CHANGES-beta is now CHANGES-release.
- Obsolete xemacs-sumo xemacs-sumo-el

* Wed Dec 19 2001 Jens Petersen <petersen@redhat.com> 21.4.6-2
- Don't obsolete flim.

* Mon Dec 17 2001 Trond Eivind Glomsrd <teg@redhat.com> 21.4.6-1
- 21.4.6
- New sumo packages
- disable alpha

* Wed Nov 14 2001 Jens Petersen <petersen@redhat.com> 21.4.5-2
- Add -znocombreloc configure option to override new ld default.

* Tue Nov  6 2001 Trond Eivind Glomsrd <teg@redhat.com> 21.4.5-1
- 21.4.5. It builds on IA64 and fixes #55578

* Thu Oct 18 2001 Trond Eivind Glomsrd <teg@redhat.com> 21.1.14-26
- Updated the sumo tarballs

* Tue Oct 16 2001 Akira TAGOH <tagoh@redhat.com> 21.1.14-25
- Separeted an elisp of mew.

* Fri Sep 14 2001 Than Ngo <than@redhat.com> 21.1.14-24
- fix to build on s390/s390x

* Fri Sep 14 2001 Jens Petersen <petersen@redhat.com> 21.1.14-23
- Restored teg's name in changelogs
- Added xemacs file variable for encoding at start of file to avoid this
  happening again
- Restored (obsolete) atype.el and file-detect.el into apel-10.3 package,
  required by semi through rmail dependency

* Fri Sep  7 2001 Akira TAGOH <tagoh@redhat.com> 21.1.14-22
- Fixed provide version of apel
- Fixed replaced apel.

* Thu Sep  6 2001 Jens Petersen <petersen@redhat.com> 21.1.14-21
- replaced apel-10.2 from sumo with apel-10.3

* Mon Aug 27 2001 Trond Eivind Glomsrd <teg@redhat.com> 21.1.14-20
- Remove buildroot-paths from finder-inf.el
- remove various multibyte comments from finder-inf.el if necessary, 
  so it will compile even if XEmacs is installed. (#51985)

* Wed Jul 25 2001 Trond Eivind Glomsrd <teg@redhat.com> 21.1.14-19
- Added app-defaults for Korean and simplified Chineese
  (#49857)

* Fri Jul 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't have a special configure define for alpha anymore - 
  they converged, and weren't different anymore. (#49209)

* Thu Jul 12 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add more libraries to buildprereq
- replace individually updated lisppackages with the official collection

* Mon Jul  9 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Reenable canna and wnn

* Tue Jun 26 2001 SATO Satoru <ssato@redhat.com>
- Wanderlust and SEMI are splitted off (wl-xemacs, semi-xemacs)

* Fri Jun 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Use fontset in the resource file, since we use "--with-xfs" (#45499)
- Include po-mode, adjusted for XEmacs by 
  enrico.scholz@informatik.tu-chemnitz.de

* Wed Jun 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- More dependencies added to buildrequires
- disable wl-init.el, as we don't want to load mime-setup
- cleanups in site-start.el

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- merge s390x patch from <oliver.paukstadt@millenux.com>

* Mon Jun  4 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make it build (don't run autoconf, disable Japanese)
- New rpm-spec-mode which fixes #43323

* Tue Apr 24 2001 Trond Eivind Glomsrd <teg@redhat.com>
- New sumo packages

* Mon Mar 19 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed semi's mailcap issues.

* Fri Mar 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- remove the mailcap lisp files from semi-xemacs - they break stuff
- don't include our own sh-script files anymore, bash is now bash2

* Thu Mar  8 2001 Akira TAGOH <tagoh@redhat.com>
- 21.1.14-8
- Merged semi-xemacs into the main package, as
  wl (already bundled) needs it.
- Fixed the byte-compile for wl.

* Fri Mar 02 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Thu Feb 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- minor fixes to psgml-init.el

* Mon Feb 12 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Move eieio.el to the main package (#26753)
- Prereq info

* Thu Feb  8 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add init file for mew

* Mon Feb  5 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Obsolete xemacs-static

* Fri Feb 02 2001 Trond Eivind Glomsrd <teg@redhat.com>
- obsolete xemacs-noX and xemacs-mule

* Sun Jan 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 21.1.14

* Wed Jan 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- enable Wanderlust

* Tue Jan 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- added Japanese support to .desktop file

* Mon Jan 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- enable canna, wnn4, wnn6
- improve app-defaults file for Japanese and traditional
  Chineese

* Fri Jan 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- turn on --with-xfs to improve support for Japanese
- copy the app-defaults to /usr/X11R6/lib/X11/app-defaults
- add app-defaults for traditional Chineese

* Mon Jan 08 2001 Trond Eivind Glomsrd <teg@redhat.com>
- 21.1.13
- update the rpm spec mode
- removed the alpha patch
- remove the elc sourcefile, these can be generated during the build 
  process

* Tue Jan 02 2001 Trond Eivind Glomsrd <teg@redhat.com>
- make sure it doesn't use canna, wnn or wnn6 by default

* Thu Dec 28 2000 Bill Nottingham <notting@redhat.com>
- bzip2 sources

* Tue Dec 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix psgml mode by adding the psgml-init.el file from the
  psgml package. Should fix #21827
- add rpm-spec-mode

* Sat Dec 09 2000 Than Ngo <than@redhat.com>
- added s390 port

* Mon Dec 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- make sure that the info pages in /usr/lib/xemacs/mule-packages/info/ 
  are compressed

* Fri Dec 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add "--with-xim=xlib" to configure to avoid linking with Motif

* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- move site-start.el to /usr/lib/xemacs/xemacs-packages/lisp/site-start.el
  (it shouldn't depend on xemacs version)
- add new directory  /usr/lib/xemacs/xemacs-packages/lisp/site-start.d
- change run .el files here on startup 
- revert to "normal" xemacs 

* Tue Nov 28 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix the "restore cursor" problem I submitted myself before I
  started here(#9853). Sometimes, you're digging your own grave
  without even knowing.

* Tue Nov 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- new sumo tarballs
- new xemacs tarball
- fixing of the improved .desktop file 
- include xemacs.png file (from kdebase) to be used with
  above file

* Tue Oct 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- new and better xemacs.desktop file

* Tue Oct 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use xemacs package from 2000-09-25
- move tex-site.el to main package (#18494)

* Tue Sep 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- remove README.i386-pc-linux - it's no longer anywhere
  near accurate
- update sumo package to 2000-09-04
- use mule by default, like we do for GNU Emacs
- use gtk-xemacs - it's in the XEmacs cvs now
- move the xemacs desktop file to "Applications"
- specify ldap (it was just detected before)
- enable native sound
- remove a binary which somehow had made it into the lisp package,
  compiled with libraries we don't have

* Thu Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- change locking mechanism to lockf

* Thu Aug 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use ispell.el from GNU Emacs, which work better
  than the ones found at the xemacs ftp site or at the 
  author's site. Fixes bug #16071

* Sun Aug 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 21.1.12 bugfix release
- removed security patch as it is now included
- gzip info packages in the package directory

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 21.1.11
- upgrade(? - it wasn't specified) to sumo tarball from 2000-05-24
- add a sitestart.rl file, for configuration of info and spelling
- fixed the ownership of lots of package directories (#14197)
- disabled ia64 patch as they know have their own support...
- ... which doesn't work. Excludearch coming up.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- don't use xemac to compile some lisp-source in byte code 

* Sun Jul 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- include the files in the %%{_infodir}, not the directory

* Wed Jun 28 2000 Than Ngo <than@redhat.de>
- add xemacs-extras xemacs-packages-el xemacs-packages in obsoletes
  to resolse conflicts (#13120)
- add missing stuff (#13176)

* Tue Jun 27 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't specify -O0
- do it anyway for IA64

* Tue Jun 20 2000 Bill Nottingham <notting@redhat.com>
- build on ia64

* Tue Jun 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- override optflags, use -O0 to avoid compiler bugs
  (last build, actually)
- don't include some info files which clash with others

* Mon Jun 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- redid most of the spec file

* Mon Jun 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- build in the main tree
- disabled static package (it was partially disabled...)
- don't change ownership while installing
- updated some of the documentation (s/21.1.8/21.1.10/)
- don't build on IA64
- use %%{_mandir} instead of hardcoding /usr/share/man

* Mon May 29 2000 Ngo Than <than@redhat.de>
- update to 2.1.10 for 7.0
- fix permission
- put man pages in correct place
- fix xemacs to build with gcc-2.96 (thanks Jakub)

* Wed May 24 2000 Ngo Than <than@redhat.de>
- fix a security problem in key strokes.
- fix a permission problem. XEmacs doesn't set proper permissions for the slave PTY device.
- remove xemacs static

* Thu Mar 23 2000 Ngo Than <than@redhat.de>
- updated to 21.1.9

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- fixed Bug #7694, #9149

* Tue Jan 18 2000 Tim Powers <timp@redhat.com>
- bzipped sources to conserve space
- fixed so that alpha builds properly
- removed the --with-xface stuff.

* Wed Dec 1 1999 Tim Powers <timp@redhat.com>
- updated to 21.1.8
- gzip man pages
- now builds for alpha :)

* Thu Oct 21 1999 Cristian Gafton <gafton@redhat.com>
- include /var/lock/xemacs as the lockdir to make it stop whining

* Thu Aug 19 1999 Tim Powers <timp@redhat.com>
- fixed problem with dirs not being removed during uninstall

* Sun Jul 11 1999 Tim Powers <timp@redhat.com>
- updated to version 21.1.4
- added the elc and info src.
- modified spec as needed
- had a beer after building

* Fri May 14 1999 Cristian Gafton <gafton@redhat.com>
- version 21.1.2
- require ctags

* Wed Oct 14 1998 Michael Maher <mike@redhat.com>
- built pacakge for 5.2, didn't use a pre update. 

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated to 20.4
- new package xemacs-mule with mule support
- Changed spec file almost completely

* Fri Dec  5 1997 Otto Hammersmith <otto@redhat.com>
- refixed perl problem.
- added wmconfig

* Tue Dec  2 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- configure for ncurses
- removed sound support on i386
- moved buildroot to /var/tmp
